<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.pj</groupId>
        <artifactId>sp-core</artifactId>
        <version>0.0.1-SNAPSHOT</version>
        <relativePath>../pom.xml</relativePath>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>sp-base</artifactId>
    <packaging>jar</packaging>
    
    <dependencies>
    
		<!-- ================= 模块依赖 start ================= -->
        <dependency>
            <groupId>com.pj</groupId>
            <artifactId>sp-nacos</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>com.pj</groupId>
            <artifactId>sp-api</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
		<!-- ================= 模块依赖 end ================= -->


        <!-- 阿里云短信服务 -->
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>aliyun-java-sdk-core</artifactId>
            <version>4.5.16</version>
        </dependency>
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>aliyun-java-sdk-dysmsapi</artifactId>
            <version>2.1.0</version>
        </dependency>


        <!--人脸识别 阿里云 新版-->
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>facebody20191230</artifactId>
            <version>3.0.7</version>
        </dependency>
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>ocr20191230</artifactId>
            <version>1.0.26</version>
        </dependency>


        <!-- 失败重试机制 spring-retry -->
        <dependency>
            <groupId>org.springframework.retry</groupId>
            <artifactId>spring-retry</artifactId>
        </dependency>
        <dependency>
            <groupId>org.aspectj</groupId>
            <artifactId>aspectjweaver</artifactId>
        </dependency>

        <!-- 消息转换器 -->
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.dataformat</groupId>
            <artifactId>jackson-dataformat-xml</artifactId>
            <version>2.9.10</version>
        </dependency>

        <!-- excel文件导入与导出 -->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
            <version>4.0.0</version>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
            <version>4.0.0</version>
        </dependency>


        <!-- 自定义验证注解 -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-validation</artifactId>
        </dependency>

        <!-- EasyExcel -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>easyexcel</artifactId>
            <version>3.1.1</version>
        </dependency>


        <!-- Swagger3依赖 -->
<!--        <dependency>-->
<!--            <groupId>io.springfox</groupId>-->
<!--            <artifactId>springfox-boot-starter</artifactId>-->
<!--            <version>3.0.0</version>-->
<!--            <exclusions>-->
<!--                <exclusion>-->
<!--                    <groupId>io.swagger</groupId>-->
<!--                    <artifactId>swagger-models</artifactId>-->
<!--                </exclusion>-->
<!--            </exclusions>-->
<!--        </dependency>-->

        <!-- fastjson -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.73</version>
        </dependency>
        <dependency>
            <groupId>com.alibaba.fastjson2</groupId>
            <artifactId>fastjson2</artifactId>
            <version>2.0.3.graal</version>
        </dependency>

        <!-- nacos 注册中心 -->
	    <dependency>
		    <groupId>com.alibaba.cloud</groupId>
		    <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
		</dependency>
	    <!-- nacos 分布式配置中心 -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>
        <!-- Sentinel 熔断、降级、限流 -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
            <!-- 排除jackson-dataformat-xml依赖，否则接口中返回的json会变成xml -->
            <exclusions>
            	<exclusion>
		            <groupId>com.fasterxml.jackson.dataformat</groupId>
            		<artifactId>jackson-dataformat-xml</artifactId>
            	</exclusion>
            </exclusions>
        </dependency>
        <!-- 使用过滤器捕获全局BlockException -->
		<dependency>
		    <groupId>com.alibaba.csp</groupId>
		    <artifactId>sentinel-spring-webmvc-adapter</artifactId>
		</dependency>
		<!-- sentinel配置持久化到nacos -->
		<dependency>
	        <groupId>com.alibaba.csp</groupId>
	        <artifactId>sentinel-datasource-nacos</artifactId>
	    </dependency>
		

		<!-- springboot依赖 -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-aop</artifactId>
		</dependency>

       	<!-- springboot集成 mybatis-plus -->
		<dependency>
		    <groupId>com.baomidou</groupId>
		    <artifactId>mybatis-plus-boot-starter</artifactId>
		    <version>3.3.2</version>
		</dependency>
		
        <!-- pagehelper分页插件 -->
        <dependency>
            <groupId>com.github.pagehelper</groupId>
            <artifactId>pagehelper-spring-boot-starter</artifactId>
            <version>1.2.13</version>
        </dependency>
        
		<!-- mysql -->
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		</dependency>
		
		<!-- 阿里 druid 连接池  -->
		<dependency>
	        <groupId>com.alibaba</groupId>
	        <artifactId>druid-spring-boot-starter</artifactId>
	        <version>1.1.10</version>
	    </dependency>

		<!-- 神器lombok插件 -->
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<!-- <optional>true</optional> -->
		</dependency>
		
		<!-- 集成redis -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-pool2</artifactId>
        </dependency>

		<!-- Sa-Token 权限认证, 在线文档：http://sa-token.dev33.cn/ -->
		<dependency>
		    <groupId>cn.dev33</groupId>
		    <artifactId>sa-token-spring-boot-starter</artifactId>
		    <version>1.27.0</version>
		</dependency>
		<!-- Sa-Token 整合 Redis （使用jdk默认序列化方式） -->
		<dependency>
		    <groupId>cn.dev33</groupId>
		    <artifactId>sa-token-dao-redis-jackson</artifactId>
		    <version>1.27.0</version>
		</dependency>
		
        <!-- 工具类大全 - 在线文档：https://hutool.cn/docs/#/ -->
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>5.7.15</version>
        </dependency>

        <dependency>
            <groupId>cglib</groupId>
            <artifactId>cglib</artifactId>
            <version>3.2.8</version>
        </dependency>

        <dependency>
            <groupId>com.github.whvcse</groupId>
            <artifactId>easy-captcha</artifactId>
            <version>1.6.2</version>
        </dependency>
		<!-- ConfigurationProperties -->
        <dependency>
        	<groupId>org.springframework.boot</groupId>
        	<artifactId>spring-boot-configuration-processor</artifactId>
        	<!-- <optional>true</optional> -->
        </dependency>
        <!-- https://mvnrepository.com/artifact/com.github.nobugboy/ydoc-spring-boot-starter -->
        <dependency>
            <groupId>com.github.nobugboy</groupId>
            <artifactId>ydoc-spring-boot-starter</artifactId>
            <version>1.1.0</version>
        </dependency>

        
        
    </dependencies>

</project>